package com.koobietech.eas.service;

import com.koobietech.eas.common.pojo.JwtUserDto;
import com.koobietech.eas.dao.adminLoginPojo.UserDetail;


public interface LoginRedisService {
    UserDetail checkToken(JwtUserDto jwtUserDto);

    void loginSaveCache(String redisTokenKey, UserDetail userDetailInRedis, Integer token_expires);

    UserDetail loginGetCache(String newRedisTokenKey);

    String createJwtTokenKey(JwtUserDto jwtUserDto);

    String createJwtRefreshTokenKey(JwtUserDto jwtUserDto);

    Boolean loginDeleteCache(String newRedisRefreshTokenKey);
}
